org.eclipse.eef.ide.api.extensions

## Enum AbstractRegistryEventListener.Action

- java.lang.Object
- - java.lang.Enum<AbstractRegistryEventListener.Action>
  - - org.eclipse.eef.ide.api.extensions.AbstractRegistryEventListener.Action

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AbstractRegistryEventListener.Action>

Enclosing class:
  AbstractRegistryEventListener

    protected static enum AbstractRegistryEventListener.Action
    extends java.lang.Enum<AbstractRegistryEventListener.Action>

This enumeration will be used to distinguish the various states of an incoming event.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADD` An extension is being added.
`REMOVE` An extension is being removed.

### Method Summary

All Methods Static Methods Concrete Methods
`static AbstractRegistryEventListener.Action` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AbstractRegistryEventListener.Action[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ADD

    public static final AbstractRegistryEventListener.Action ADD

An extension is being added.

#### REMOVE

    public static final AbstractRegistryEventListener.Action REMOVE

An extension is being removed.

### Method Detail

#### values

    public static AbstractRegistryEventListener.Action[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AbstractRegistryEventListener.Action c : AbstractRegistryEventListener.Action.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AbstractRegistryEventListener.Action valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null